<template>
  <div>
    <div
      class="relative overflow-hidden transition duration-500 ease-in-out border rounded-xl border-primary lg:border-transparent group hover:border-primary"
    >
      <div
        class="relative w-full overflow-hidden bg-muted min-h-80 aspect-w-1 aspect-h-1 lg:h-80 lg:aspect-none rounded-t-xl"
      >
        <img
          :src="`/staff/${person.image}` || '/staff/staff-placeholder.webp'"
          alt=""
          class="relative object-cover object-center w-full h-full lg:w-full lg:h-full"
        />

        <span
          class="absolute bottom-0 right-0 w-0 h-0 transform translate-y-1/2 rounded-full translate-x-[10%] bg-primary mix-blend-multiply group-hover:w-56 group-hover:h-56 transition-all ease-in-out duration-500"
        ></span>
      </div>

      <div
        class="flex justify-between p-4 duration-300 ease-in-out opacity-100 lg:opacity-0 bg-secondary group-hover:opacity-100 transtion-all lg:px-8"
      >
        <div>
          <h3
            class="mb-3 text-xl font-bold uppercase lg:text-xl text-primary bai"
          >
            {{ person.name }}
          </h3>
          <p class="text-lg text-muted">{{ $t(`us.staff.positions[${person.title}]`) }}</p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'StaffCardComponent',

  props: {
    person: {
      type: Object,
      required: true
    }
  }
}
</script>
